$(document).ready(function () {
  try {
    var urlCopyButtonIconWindow = document.createElement("li");
    urlCopyButtonIconWindow.setAttribute("class", "iconWindow");
    urlCopyButtonIconWindow.setAttribute("style", "display: list-item;");

    var urlCopyButton = document.createElement("a");
    urlCopyButton.setAttribute("href", "javascript:void(0)");
    var img = document.createElement("img");
    img.setAttribute(
      "src",
      location.origin +
        location.pathname.substring(0, location.pathname.indexOf("esales-pc")) +
        "/esales_res/css/default/images/sheet_item/icon_item_link.png"
    );
    img.setAttribute("width", "95%");
    img.setAttribute("height", "95%");
    urlCopyButton.appendChild(img);
    urlCopyButton.addEventListener("click", copyToClipboard);

    urlCopyButtonIconWindow.appendChild(urlCopyButton);
    document
      .querySelector("div.rightCol ul.buttons")
      .appendChild(urlCopyButtonIconWindow);
  } catch (error) {
    console.log("error in jsplugin:" + error);
  }
});

function getReqParam() {
  var urlCopySheet = document.querySelector(
    "form[name=customized_data_detail_form] input[name=page]"
  );

  urlCopySheet =
    urlCopySheet ||
    document.querySelector("form[name=myform] input[name=page]");

  switch (urlCopySheet.value) {
    case "customize_sheet_detail":
      return (
        "?page=customize_sheet_detail&cscode=" +
        document.querySelector(
          "form[name=customized_data_detail_form] input[name=cscode]"
        ).value +
        "&entityid=" +
        document.querySelector(
          "form[name=customized_data_detail_form] input[name=entityid]"
        ).value
      );

    case "sales_popup":
      return (
        "?page=sales_popup&sales_code=" +
        document.querySelector("form[name=myform] input[name=sales_code]").value
      );

    case "customer_popup":
      return (
        "?page=customer_popup&company_code=" +
        document.querySelector("form[name=myform] input[name=company_code]")
          .value
      );

    case "namecard_full":
      return (
        "?page=namecard_full&person_code=" +
        document.querySelector("form[name=myform] input[name=person_code]")
          .value
      );
  }
  if (
    document.querySelector("form[name=myform] input[name=ReportDetailPage]")
      .value == "true"
  ) {
    return (
      "?page=progress&command=detail&session_code=" +
      document.querySelector("form[name=myform] input[name=session_code]").value
    );
  }
}

function copyToClipboard() {
  try {
    var url = location.origin + location.pathname;
    if (url.indexOf("sso") != -1) {
      url =
        location.origin +
        location.pathname.substring(0, location.pathname.indexOf("/sso"));
    }
    if (navigator.clipboard) {
      // Not IE
      navigator.clipboard.writeText(url + getReqParam());
    } else {
      // IE
      window.clipboardData.setData("Text", url + getReqParam());
    }
    infobar("URLのコピーに成功しました。");
  } catch (error) {
    infobar("URLのコピーに失敗しました。");
    console.log(error);
  }
}
